@use "../../styles/mixins";
@use "../../styles/screens";
@use "../../styles/typography";
@use "../../styles/variables";

.header {
  padding: 2rem 1.5rem 3rem 1.5rem;
  position: relative;
  display: flex;
  flex-direction: column;
  z-index: 1;

  @include screens.laptop {
    padding: 8rem 8rem 4rem 8rem;
    flex-direction: row;
    justify-content: center;
  }

  @include screens.desktop {
    margin-bottom: 0;
  }

  &::before {
    content: "";
    position: absolute;
    inset: -6rem 0 0 0;
    background-color: variables.$orange;
    z-index: -1;
  }

  &::after {
    @include mixins.background-circle(rgba(white, 0.2));

    content: "";
    inset: auto auto 0 0;
    transform: translate(-50%, 50%);
  }

  .text {
    width: min(48rem, 100%);
  }

  .title {
    @include typography.heading1;
  }

  .subtitle {
    @include typography.heading2;

    margin-top: 1rem;
    width: min(32rem, 100%);

    @include screens.laptop {
      margin-top: 2rem;
    }

    .link {
      text-decoration: underline;
      transition: color 0.2s ease-in-out;

      &:hover {
        color: white;
      }
    }
  }

  .image {
    width: min(40rem, 80%);
    margin: 0 auto;

    @include screens.laptop {
      margin: 0;
    }
    
    @include screens.desktop {
      position: relative;
      left: -8rem;
      top: -4rem;
    }
  }

  .button {
    @include mixins.button(white, variables.$dark);

    position: absolute;
    top: 100%;
    left: 50%;
    transform: translate(-50%, -50%);
    box-shadow: variables.$shadow;

    img {
      transform: rotate(90deg);
    }
  }
}

.main {
  padding: 4rem 1.5rem;
  display: flex;
  flex-direction: column;
  gap: 3rem;
  align-items: center;
  position: relative;
  overflow: hidden;

  @include screens.laptop {
    padding: 8rem;
    gap: 8rem;
  }

  &::before {
    @include mixins.background-circle(rgba(variables.$purple, 0.1));

    content: "";
    inset: 0 auto auto 0;
    transform: translate(-50%, -50%);
  }

  &::after {
    @include mixins.background-circle(rgba(variables.$purple, 0.1));

    content: "";
    inset: auto 0 0 auto;
    transform: translate(50%, 50%);
  }

  .section {
    display: flex;
    flex-direction: column;
    gap: 2rem;
    width: min(96rem, 100%);
    position: relative;
    z-index: 1;

    .title {
      @include typography.heading2;

      max-width: 40rem;
    }

    @include screens.laptop {
      &:nth-of-type(1) {
        flex-direction: row;
        align-items: center;
      }

      &:nth-of-type(2) {
        flex-direction: row-reverse;
        align-items: center;

        .title {
          text-align: right;
        }
      }

      &:nth-of-type(3) .title {
        max-width: unset;
        margin-bottom: 2rem;
      }
    }

    .image {
      width: min(40rem, 75%);
      margin: 0 auto;
    }
  }

  .button {
    @include mixins.button(linear-gradient(to right, variables.$purple, #9D69DF), white);
  }
}